package com.zhongshu.reward.server.core.dao;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.server.core.domain.WalletReceipts;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/6
 */
public interface WalletReceiptsDao extends MongoDao<WalletReceipts> {

    List<WalletReceipts> findByWallet_IdOrderByCreateTimeDesc(String walletId);

    WalletReceipts findTopByOutTradeNo(String outTradeNo);
}
