package com.zhongshu.reward.server.core.stream;

import com.github.microservice.app.stream.StreamConsumer;
import com.zhongshu.reward.server.core.service.InviteReceiptsRulerService;
import com.zhongshu.vip.client.model.param.VipUserParam;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Log4j2
@Component("vipUserStreamConsumer")
public class VipUserStream extends StreamConsumer<VipUserParam> {

    @Autowired
    InviteReceiptsRulerService inviteReceiptsRulerService;

    @Override
    public void accept(VipUserParam vipUserParam) {
        log.info("收到会员套餐消息：{}",vipUserParam);
    }
}
